// ClassifierListView.h: interface for the CClassifierListView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLASSIFIERLISTVIEW_H__B14A7982_C088_4CBC_B19A_49D2724A6059__INCLUDED_)
#define AFX_CLASSIFIERLISTVIEW_H__B14A7982_C088_4CBC_B19A_49D2724A6059__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "aplListView.h"

class CClassifierListView : public CaplListView
{
protected:
	CClassifierListView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CClassifierListView)
		
		// Attributes
public:
	CImageList m_ImageList;
	
	// Operations
public:
	void UpdateTreeItem(CaplTreeItem *item);
	
	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CApprovalListView)
protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL
	
	// Implementation
protected:
	virtual ~CClassifierListView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	
	// Generated message map functions
protected:
	//{{AFX_MSG(CClassifierListView)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_CLASSIFIERLISTVIEW_H__B14A7982_C088_4CBC_B19A_49D2724A6059__INCLUDED_)
